> For the complete documentation index, see [llms.txt](https://docs.architect.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.architect.co/sdk-reference/connection-management.md).

# Connection management

* [Get cpty status](#get-cpty-status)

## Get cpty status

Get the status of a cpty connection.

{% tabs %}
{% tab title="Python" %}

```python
status = await client.cpty_status(kind="binance")
```

{% endtab %}
{% endtabs %}

Returned fields:

* `connected`: true iff all component connections are connected, e.g. sockets are connected
* `stale`: true iff any component connection is stale, e.g. missed a protocol heartbeat
* `logged_in`: true iff all component connections are logged in (if relevant)
* `connections`: map of individual connections statuses relevant to the cpty
* `connections.connected`: connection is physically established, e.g. socket is connected
* `connections.last_heartbeat`: UNIX timestamp (seconds) of last heartbeat from connection, or `-1` for never
* `connections.last_heartbeat_stale_threshold`: threshold in seconds for considering a connection stale, e.g. if a heartbeat is missed
* `connections.logged_in`: true if connection is logged in, or `null` if not relevant


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.architect.co/sdk-reference/connection-management.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
